"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var factory_1 = require("@js-entity-repos/memory/dist/factory");
var express = require("express");
var http_1 = require("http");
var factory_2 = require("../factory");
exports.default = (function (_a) {
    var port = _a.port, route = _a.route;
    return new Promise(function (resolve) {
        var app = express();
        var state = { entities: [] };
        app.use(route, factory_2.default({
            service: factory_1.default({
                defaultPaginationLimit: 100,
                entityName: 'Test Entity',
                getEntities: function () { return state.entities; },
                setEntities: function (entities) { return state.entities = entities; },
            }),
        }));
        var server = http_1.createServer(app);
        server.listen(port, function () {
            // tslint:disable-next-line:no-console
            console.log("Started test server on port " + port);
            resolve(server);
        });
    });
});
//# sourceMappingURL=createTestServer.js.map